use libretranslate::Language;
use libretranslate::translate;

fn main() {
    let source = Language::Chinese;
    let target = Language::English;
    let input = "我是中国人";

    let data = translate(Some(source), target, input).unwrap();

    println!("Input {}: {}", data.source.as_pretty(), data.input);
    println!("Output {}: {}", data.target.as_pretty(), data.output);
}
